Loading...
Searching...
No Matches
BALL::EnergyMinimizer::Default Struct Reference

`#include <BALL/MOLMEC/MINIMIZATION/energyMinimizer.h>`

## Static Public Attributes

static Size | MAXIMAL_NUMBER_OF_ITERATIONS
static Size | ENERGY_OUTPUT_FREQUENCY
static Size | SNAPSHOT_FREQUENCY
static Size | NUMBER_OF_ITERATION
static float | ENERGY_DIFFERENCE_BOUND
static Size | MAX_SAME_ENERGY
static float | MAX_GRADIENT
static float | MAXIMUM_DISPLACEMENT

## Detailed Description

Definition at line 76 of file energyMinimizer.h.

## Member Data Documentation

## ENERGY_DIFFERENCE_BOUND

float BALL::EnergyMinimizer::Default::ENERGY_DIFFERENCE_BOUND

static

Energy difference bound. The energy difference needed for assuming 'equal energy'

Definition at line 97 of file energyMinimizer.h.

## ENERGY_OUTPUT_FREQUENCY

Size BALL::EnergyMinimizer::Default::ENERGY_OUTPUT_FREQUENCY

static

Energy output frequency

Definition at line 84 of file energyMinimizer.h.

## MAX_GRADIENT

float BALL::EnergyMinimizer::Default::MAX_GRADIENT

static

Default value for the maximum RMS gradient. This value is used for deciding when to stop the minimisation.

Definition at line 108 of file energyMinimizer.h.

## MAX_SAME_ENERGY

Size BALL::EnergyMinimizer::Default::MAX_SAME_ENERGY

static

The number of iterations without any change in energy. This is used to detect convergence. If this number is reached, we assume convergence.

Definition at line 103 of file energyMinimizer.h.

## MAXIMAL_NUMBER_OF_ITERATIONS

Size BALL::EnergyMinimizer::Default::MAXIMAL_NUMBER_OF_ITERATIONS

static

Max number of iterations

Definition at line 80 of file energyMinimizer.h.

## MAXIMUM_DISPLACEMENT

float BALL::EnergyMinimizer::Default::MAXIMUM_DISPLACEMENT

static

Max shift

Definition at line 112 of file energyMinimizer.h.

## NUMBER_OF_ITERATION

Size BALL::EnergyMinimizer::Default::NUMBER_OF_ITERATION

static

Number of iteration

Definition at line 92 of file energyMinimizer.h.

## SNAPSHOT_FREQUENCY

Size BALL::EnergyMinimizer::Default::SNAPSHOT_FREQUENCY

static

Snapshot frequency

Definition at line 88 of file energyMinimizer.h.